## net.sf.statcvs.charts
Class TimeBarChartMaker.HourBarChartMaker

    java.lang.Object
      net.sf.statcvs.charts.TimeBarChartMaker
          net.sf.statcvs.charts.TimeBarChartMaker.HourBarChartMaker

Enclosing class:
  TimeBarChartMaker

    public static class TimeBarChartMaker.HourBarChartMaker

extends TimeBarChartMaker

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.statcvs.charts.TimeBarChartMaker
`TimeBarChartMaker.HourBarChartMaker, TimeBarChartMaker.WeekdayBarChartMaker`

Constructor Summary
`TimeBarChartMaker.HourBarChartMaker(java.lang.String chartName, ReportConfig config, java.util.SortedSet revisions, java.lang.String title, java.lang.String fileName)` Creates a bar chart showing a distribution of revisions over the hours of the day.

Method Summary
`protected int` `barNumberForTime(java.util.Calendar time)`

Methods inherited from class net.sf.statcvs.charts.TimeBarChartMaker
`toFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeBarChartMaker.HourBarChartMaker

    public TimeBarChartMaker.HourBarChartMaker(java.lang.String chartName,
                                               ReportConfig config,
                                               java.util.SortedSet revisions,
                                               java.lang.String title,
                                               java.lang.String fileName)

  Creates a bar chart showing a distribution of revisions over the hours of the day.

  Parameters:
    `config` - The configuration to use
    `revisions` - The set of revisions to analyze
    `title` - The title of the chart
    `fileName` - The file for saving the chart

Method Detail

### barNumberForTime

    protected int barNumberForTime(java.util.Calendar time)

  Specified by:
    `barNumberForTime` in class `TimeBarChartMaker`